Subject: [bug#35736] geiser-edit-symbol-at-point (M-.) does not work on fork+exec-command

From: Arun Isaac <[email-masked]>
Date: Wed, 15 May 2019 01:59:24 +0530

geiser-edit-symbol-at-point (M-.) does not work on
fork+exec-command. geiser wrongly tries to lookup fork instead of
looking up fork+exec-command. This is because (thing-at-point 'symbol)
does not correctly identify the whole symbol. And, that, in turn, is
because ?+ has been reclassified as an expression prefix character (')
in .dir-locals.el. It should be a symbol constituent character (_) which
is the default for scheme mode.

(modify-syntax-entry ?+ "'")

This is a rather trivial bug. But, I thought I'll just document it
here. I'm not sure if we should fix it. I can't think of any easy way
out.